import { defineConfig } from 'vite';
import uni from '@dcloudio/vite-plugin-uni';
 
export default defineConfig({
	plugins: [uni()],
	base:'/',
	server: {
		proxy: {
			'/api': {
				target: 'http://10.201.2.161:9400/centtenAdvise',
				changeOrigin: true,
				rewrite: (path) => path.replace(/^\/api/, '')
			},
			'/uploadApi':{
				target: 'http://10.200.1.115:9000/canttenadvice/',
				changeOrigin: true,
				rewrite: (path) => path.replace(/^\/uploadApi/, '')
			}
		}
	}
});